function ann_indxs=Ann_location_corrector(t,processed_signal,sample_rate,ann_indxs_input)
ann_indxs(1)=ann_indxs_input(1);

for counter=2:(numel(ann_indxs_input)-1)
    [~,b]=max(processed_signal((ann_indxs_input(counter)-10):(ann_indxs_input(counter)+10)));            
    ann_indxs(counter)=ann_indxs_input(counter)-10+b;
end
ann_indxs(end)=ann_indxs_input(end);
